/*
 * Bluetooth Controlled 8x8 RGB LED Matrix
 *
 * Mode and Pattern base class definition
 *
 * Written by: Craig A. Lindley
 * Last Update: 11/11/2014
 */

#include "Types.h"

#ifndef BASECLASS_H
#define BASECLASS_H

// Virtual base class for both modes and patterns
class BaseClass {

protected:
    GLOBAL_PARAMETERS *ptrParms;

public:

    BaseClass(GLOBAL_PARAMETERS *_ptrParms) {
        ptrParms = _ptrParms;
    }

    virtual void initStateMachine() = 0;

    virtual void runStateMachine(boolean updated) = 0;
};

#endif

