/*
 * Bluetooth Controlled 8x8 RGB LED Matrix
 *
 * Misc type definitions
 *
 * Written by: Craig A. Lindley
 * Last Update: 11/11/2014
 */

// Maximum length of text msg
#define MAX_TEXT_MSG_LENGTH 50

#ifndef TYPES_H
#define TYPES_H

typedef struct {
    byte red;
    byte green;
    byte blue;
} 
rgb24;

// Defined colors
rgb24 COLOR_BLACK {  
    0,   0,   0};
rgb24 COLOR_WHITE {
    255, 255, 255};
rgb24 COLOR_RED   {
    255,   0,   0};
rgb24 COLOR_GREEN {  
    0, 255,   0};
rgb24 COLOR_BLUE  {  
    0,   0, 255};

// Global parameter cache
typedef struct _gPARMS {
    float hue;
    float sat;
    float val;
    int speed;
    boolean sequentialPatterns;
    byte patternIndex;
    char textMsgBuffer[MAX_TEXT_MSG_LENGTH];
} 
GLOBAL_PARAMETERS;

// Type that defines a point on the display matrix
typedef struct _point {
    byte col;
    byte row;
}
POINT;

#endif



